# KSPBCGSL

Implements a slight variant of the Enhanced BiCGStab(L) algorithm in (3) and (2). The variation concerns cases when either kappa0**2 or kappa1**2 is negative due to round-off. Kappa0 has also been pulled out of the denominator in the formula for ghat.

### References

1. G.L.G. Sleijpen, H.A. van der Vorst, "An overview of approaches for the stable computation of hybrid BiCG methods", Applied Numerical Mathematics: Transactions f IMACS, 19(3), pp 235-54, 1996. 2. G.L.G. Sleijpen, H.A. van der Vorst, D.R. Fokkema, "BiCGStab(L) and other hybrid Bi-CG methods", Numerical Algorithms, 7, pp 75-109, 1994. 3. D.R. Fokkema, "Enhanced implementation of BiCGStab(L) for solving linear systems of equations", preprint from www.citeseer.com.

Contributed by: Joel M. Malard, email jm.malard@pnl.gov

### Options Database Keys

| -ksp_bcgsl_ell <ell> Number of Krylov search directions | - - -ksp_bcgsl_cxpol Use a convex function of the MR and OR polynomials after the BiCG step
| -ksp_bcgsl_xres <res> Threshold used to decide when to refresh computed residuals | -

### See Also

KSPCreate(), KSPSetType(), KSPType (for list of available types), KSP, KSPFGMRES, KSPBCGS

Level:beginner
Location: src/ksp/ksp/impls/bcgsl/bcgsl.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages